# SMR 2.2 meters

Heeft u een oudere DSMR 2.2 meter dan dient de yaml configuratie van de dongle aangepast te worden. Deze aangepaste firmware is te vinden op onderstaande locatie

{% embed url="<https://github.com/mhendriks/esphome-p1>" %}

Afhankelijke van het type dongle dient gekozen te worden voor onderstaande binaries/software.&#x20;

| dongle     | binary                                                       |
| ---------- | ------------------------------------------------------------ |
| Dongle     | <http://ota.smart-stuff.nl/esphome/p1-dongle-dsmr-2.2.bin>   |
| Dongle Pro | <http://ota.smart-stuff.nl/esphome/p1-dongle-pro-smr2_2.bin> |

## Instructie

Om een update uit te voeren dienen de onderstaande stappen doorlopen te worden.

* [ ] Download de juiste smr2.2 binary (zie bovenstaande tabel)
* [ ] ga na de webpagina van de dongle
* [ ] onderaan treft u OTA UPDATE aan
* [ ] Klik op **KIES BESTAND**
* [ ] selecteer de juiste .bin&#x20;
* [ ] klik op **UPDATE**
* [ ] Wacht enkele minuten totdat de update klaar is

## Gasmeter

Indien u ook een gasmeter heeft dit met de slimme meter communiceert dan dient ook de Home Assistant configuratie aangepast te worden om de gasgegevens te kunnen inzien.\
\
Voeg het onderstaande toe aan uw Home Assistant config.yaml<br>

```
template:
  - sensor:
      - name: "Gas Meter"
        unique_id: gas_meter
        state_class: total_increasing
        device_class: gas
        unit_of_measurement: 'm³'
        state: '{{ states("sensor.gas_delivered_raw") | regex_findall_index("\d{3,5}\.\d*") | float }}'
```

\ <a href="#zelf-aanpassingen-maken-in-de-configuratie" id="zelf-aanpassingen-maken-in-de-configuratie"></a>
------------------------------------------------------------------------------------------------------------


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smart-stuff.nl/esphome-p1-dongle-pro/geavanceerd/smr-2.2-meters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
